
#ifndef _WB_PRINTING_H_
#define _WB_PRINTING_H_

#include "grts/structs.model.h"

#ifdef _WIN32
#include <windows.h>

#ifdef WBPLUGINPRINTINGBE_EXPORTS
#define WBPRINTINGBE_PUBLIC_FUNC __declspec(dllexport)
#else
#define WBPRINTINGBE_PUBLIC_FUNC __declspec(dllimport)
#endif

#else // !_WIN32

# define WBPRINTINGBE_PUBLIC_FUNC
#endif

namespace wbprint {


#ifdef _WIN32

int WBPRINTINGBE_PUBLIC_FUNC printPageHDC(model_DiagramRef view, int page, HDC hdc, int width, int height);
bool WBPRINTINGBE_PUBLIC_FUNC isLandscape(model_DiagramRef view);

#endif

int WBPRINTINGBE_PUBLIC_FUNC getPageCount(model_DiagramRef view);
void WBPRINTINGBE_PUBLIC_FUNC getPageLayout(model_DiagramRef view, int &xpages, int &ypages);

};


#endif
